Package com.artofsolving.jodconverter.openoffice.connection

# Class OpenOfficeConfiguration

java.lang.Object
com.artofsolving.jodconverter.openoffice.connection.OpenOfficeConfiguration

public class OpenOfficeConfiguration extends Object
Utility class to access OpenOffice.org configuration properties at runtime

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`NODE_L10N`
`static final String`
`NODE_PRODUCT`

## Constructor Summary

Constructors
Constructor
Description
`OpenOfficeConfiguration(OpenOfficeConnection connection)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getOpenOfficeLocale()`
`String`
`getOpenOfficeProperty(String nodePath, String node)`
`String`
`getOpenOfficeVersion()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### NODE_L10N

public static final String NODE_L10N

See Also:
  - Constant Field Values

### NODE_PRODUCT

public static final String NODE_PRODUCT

See Also:
  - Constant Field Values

## Constructor Details

### OpenOfficeConfiguration

public OpenOfficeConfiguration(OpenOfficeConnection connection)

## Method Details

### getOpenOfficeProperty

public String getOpenOfficeProperty(String nodePath, String node)

### getOpenOfficeVersion

public String getOpenOfficeVersion()

### getOpenOfficeLocale

public String getOpenOfficeLocale()